SliceLikeParams Class Reference

`#include <SliceLikeParams.h>`

Inheritance diagram for SliceLikeParams:

## Public Member Functions

| SliceLikeParams ()
bool | getUseSimplification () const
| Apply simplification to the state of the algorithm when possible.
void | useSimplification (bool value)
Public Member Functions inherited from CommonParams
| CommonParams ()
bool | getIdealIsMinimal () const
| Returns whether the input ideal is known to be minimally generated.
void | idealIsMinimal (bool value)
bool | getPrintActions () const
| Returns whether to print and time the large-scale actions that Frobby performs.
void | printActions (bool value)
const string & | getInputFormat () const
| Returns the format used for parsing input.
void | setInputFormat (const string &value)
const string & | getOutputFormat () const
| Returns the format in which output is produced.
void | setOutputFormat (const string &value)
bool | getProduceCanonicalOutput () const
| Returns whether to produce output in a canonical representation.
void | produceCanonicalOutput (bool value)
bool | getPrintDebug () const
| Returns whether to print information about what the algorithm is doing to standard error as it runs.
void | printDebug (bool value)
bool | getPrintStatistics () const
| Returns whether to print statistics on what the algorithm did to standard error after it has run.
void | printStatistics (bool value)

## Private Attributes

bool | _useSimplification

## Detailed Description

Definition at line 25 of file SliceLikeParams.h.

## Constructor & Destructor Documentation

## SliceLikeParams()

SliceLikeParams::SliceLikeParams | ( |  | ) |

Definition at line 23 of file SliceLikeParams.cpp.

## Member Function Documentation

## getUseSimplification()

bool SliceLikeParams::getUseSimplification | ( |  | ) | const

inline

Apply simplification to the state of the algorithm when possible.

E.g. slices have a notion of simplification, as does the Bigatti algorithm.

Definition at line 32 of file SliceLikeParams.h.

## useSimplification()

void SliceLikeParams::useSimplification | ( | bool | value | ) |

inline

Definition at line 33 of file SliceLikeParams.h.

## Member Data Documentation

## _useSimplification

bool SliceLikeParams::_useSimplification

private

Definition at line 36 of file SliceLikeParams.h.

The documentation for this class was generated from the following files:

- src/SliceLikeParams.h
- src/SliceLikeParams.cpp